Package com.google.javascript.jscomp

# Class PassConfig.State

java.lang.Object
com.google.javascript.jscomp.PassConfig.State

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PassConfig`

public static class PassConfig.State extends Object implements Serializable
Intermediate state for a running pass configuration.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`State(Map<String,Integer> cssNames, Set<String> exportedNames, com.google.javascript.jscomp.CrossModuleMethodMotion.IdGenerator crossModuleIdGenerator, VariableMap variableMap, VariableMap propertyMap, VariableMap anonymousFunctionNameMap, VariableMap stringMap, com.google.javascript.jscomp.FunctionNames functionNames, String idGeneratorMap)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### State

public State(Map<String,Integer> cssNames, Set<String> exportedNames, com.google.javascript.jscomp.CrossModuleMethodMotion.IdGenerator crossModuleIdGenerator, VariableMap variableMap, VariableMap propertyMap, VariableMap anonymousFunctionNameMap, VariableMap stringMap, com.google.javascript.jscomp.FunctionNames functionNames, String idGeneratorMap)